Skip to main content
GET
/
v1
/
assets
/
{passport_id}
/
revenue
Typescript (SDK)
import { RaijinLabsLucidAi } from "raijin-labs-lucid-ai";

const raijinLabsLucidAi = new RaijinLabsLucidAi();

async function run() {
  const result = await raijinLabsLucidAi.payments.lucidGetAssetRevenue({
    passportId: "<id>",
  });

  console.log(result);
}

run();
{
  "success": true,
  "revenue": {
    "total": "<string>",
    "pending": "<string>",
    "withdrawn": "<string>",
    "token": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.lucid.foundation/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Lucid API key (lk_live_... or lk_test_...)

Path Parameters

passport_id
string
required

AI asset passport identifier for revenue query

Query Parameters

token
string
default:USDC

Payment token to query revenue for (default USDC)

Response

Revenue summary

success
boolean
required
revenue
object
required